{
    // tsconfig.vue.json
    "extends": "@vue/tsconfig/tsconfig.json",
    "include": ["./resources/js/**/*"],
    
    "compilerOptions": {
      // "module": "commonjs", //for tehys.api...alos nodenext
      	// Process & infer types from .js files.
        "allowJs": true,
         //javascript language version:  Target latest version 'esnext' of ECMAScript or minimal 'es6'.
         "target": "ESNext", //neu
        // //what module code is generated
        "module": "ESNext", //neu
        "experimentalDecorators": true, //neu
        "strictPropertyInitialization": false //neu
    },
    "paths": {
        "App/*": ["./app/*"], // for App/modles/User
        "@/*": ["./resources/js/*"]
    },
    "files": ["./index.d.ts"]
}
